Subject: Re: [bug#70318] [PATCH] Fix unitentional creation of greeter's home directory

From: muradm <[email-masked]>
Date: Sat, 04 Jan 2025 20:08:58 +0300

muradm <[email-masked]> writes:

>>
>> Then maybe we can make it conditional on agreety?
>>
>> If all greetd-configuration-terminals have their
>> greet-default-session-command being an greetd-agreety-session?, 
>> we
>> could
>> set it to #f.
>>
>> Something like this could work:
>> (create-home-directory? (not (every greetd-agreety-session? 
>> (map
>> greetd-default-session-command (greetd-configuration-terminals
>> config)))))
>>
>> WDYT?
>
> 2 of 3 greeters needs home. With improvements implemented by 
> 75270
> `greetd-terminal-configuration` is detached from details of its
> `default-session-command`. By this, any user can workout its 
> greeter.
> If we hardcode implementation of greeter in terminal user may 
> loose
> such flexibility. Also once you implement such condition, you 
> will
> have to maintain with any other greeter added in the future.
>
> One way would be to carry this flag into `greetd-configuration`, 
> IMHO
> will uneccessarily complicate the things. Is there any good 
> reason for
> doing that?
>
> What is the problem with having home directory for greeter user?

After some more meditation, I remembered that originally I also 
did not like idea of having extra user home directory and 
considering changes introduced by #75270, it became obvious that 
sway specific environment can be setup within 
`make-greetd-sway-greeter-command`. Further greeters may either 
improve on it, or provide their own entry point commands as they 
see fit. v2 of 75270 includes this change, and adjusts the 
environment accordingly. This issue can be closed in favor if 
75270.